Get all document's metadata extraction results
GET/documents/:documentId/metadataExtractionResults
Retrieve all document's metadata extraction; available as an Add-On Module
Request
Path Parameters
documentId stringrequired
Document Identifier
Query Parameters
siteId string
Site Identifier
limit string
Limit Results
Default value:
10next string
Next page of results token
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
next string
Next page of results token
metadataExtractions
object[]
List of Metadata Extractions
llmPromptEntityName string
Name of the LLM Prompt Entity
insertedDate string
Inserted Timestamp
content string
Result content
userId string
UserId that created Result
attributes
object[]
Attributes extracted from result content
key string
Data Classification Attribute Key
value string
Data Classification Attribute Value
{
"next": "string",
"metadataExtractions": [
{
"llmPromptEntityName": "string",
"insertedDate": "string",
"content": "string",
"userId": "string",
"attributes": [
{
"key": "string",
"value": "string"
}
]
}
]
}
Loading...